package org.minimalj.model.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Instead of annotate each String field with a Size annotation the whole class
 * or enclosing class or package can be annotated with this Annotation. The
 * specified class should contain public static int with the exact same name as
 * the fields in the annotated class.
 * <p>
 * 
 * Sizes can be a shortcut not to repeat the same sizes over and over again. Or
 * the Sizes class is generated by an external specification.
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE, ElementType.PACKAGE})
public @interface Sizes {

	Class<?> value();

}
